%global pyname certbot-dns-route53

%if 0%{?rhel} && 0%{?rhel} <= 7
%bcond_with python3
%else
%bcond_without python3
%endif

Name:           python-%{pyname}
Version:        0.23.0
Release:        1%{?dist}
Summary:        Route53 DNS Authenticator plugin for Certbot

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/certbot-dns-route53
Source0:        https://files.pythonhosted.org/packages/source/c/%{pyname}/%{pyname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-acme >= 0.21.1
BuildRequires:  python2-boto3
BuildRequires:  python2-certbot >= 0.21.1
BuildRequires:  python2-devel
BuildRequires:  python2-mock
BuildRequires:  python2-setuptools
BuildRequires:  python2-zope-interface

%if %{with python3}
BuildRequires:  python3-acme >= 0.21.1
BuildRequires:  python3-boto3
BuildRequires:  python3-certbot >= 0.21.1
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-zope-interface
%endif

%description
This certbot plugin automates the process of completing an ACME
dns-01 challenge by creating, and subsequently removing, TXT
records using AWS Route53.

%package -n python2-%{pyname}
# Provide the name users expect as a certbot plugin
%if 0%{?rhel} && 0%{?rhel} <= 7
Provides:       %{pyname} = %{version}-%{release}
%endif
# Although a plugin for the certbot command it's technically
# an extension to the certbot python libraries
Requires:       python2-acme >= 0.21.1
Requires:       python2-boto3
Requires:       python2-certbot >= 0.21.1
Requires:       python2-mock
Requires:       python2-zope-interface

%if 0%{?fedora}
#Recommend the CLI as that will be the interface most use
Recommends:     certbot >= 0.21.1
%else
Requires:       certbot >= 0.21.1
%endif
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pyname}}

%description -n python2-%{pyname}
This certbot plugin automates the process of completing an ACME
dns-01 challenge by creating, and subsequently removing, TXT
records using AWS Route53.

This is the Python 2 version of the package.

%if %{with python3}
%package -n python3-%{pyname}
# Provide the name users expect as a certbot plugin
%if 0%{?fedora}
Provides:       %{pyname} = %{version}-%{release}
%endif
# Although a plugin for the certbot command it's technically
# an extension to the certbot python libraries
Requires:       python3-acme >= 0.21.1
Requires:       python3-boto3
Requires:       python3-certbot >= 0.21.1
Requires:       python3-mock
Requires:       python3-zope-interface

%if 0%{?fedora}
#Recommend the CLI as that will be the interface most use
Recommends:     certbot >= 0.21.1
%else
Requires:       certbot >= 0.21.1
%endif
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pyname}}

%description -n python3-%{pyname}
This certbot plugin automates the process of completing an ACME
dns-01 challenge by creating, and subsequently removing, TXT
records using AWS Route53.

This is the Python 3 version of the package.
%endif

%prep
%autosetup -p1 -n %{pyname}-%{version}

%build
%py2_build
%if %{with python3}
%py3_build
%endif

%check
%{__python2} setup.py test
%if %{with python3}
%{__python3} setup.py test
%endif

%install
%py2_install
%if %{with python3}
%py3_install
%endif

%files -n python2-%{pyname}
%license LICENSE
%doc README.md
%{python2_sitelib}/certbot_dns_route53
%{python2_sitelib}/certbot_dns_route53-%{version}*.egg-info

%if %{with python3}
%files -n python3-%{pyname}
%license LICENSE
%doc README.md
%{python3_sitelib}/certbot_dns_route53
%{python3_sitelib}/certbot_dns_route53-%{version}*.egg-info
%endif

%changelog
* Thu Apr 05 2018 Eli Young <elyscape@gmail.com> - 0.23.0-1
- Update to 0.23.0 (#1563910)

* Tue Mar 20 2018 Eli Young <elyscape@gmail.com> - 0.22.2-1
- Update to 0.22.2

* Sat Mar 10 2018 Eli Young <elyscape@gmail.com> - 0.22.0-1
- Update to 0.22.0

* Mon Feb 26 2018 Nick Bebout <nb@usi.edu> - 0.21.1-2
- Simplify deps, add python2- prefix where available

* Wed Feb 14 2018 Eli Young <elyscape@gmail.com> - 0.21.1-1
- Initial package (#1544562)
